#
# spec file for package libfm-qt
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libfm-qt
Version:        0.12.0
Release:        lp150.2.1
Summary:        Library providing components to build desktop file managers
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://lxqt.org
Source:         https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        libfm-qt.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  lxqt-build-tools-devel >= 0.4.0
BuildRequires:  cmake(KF5WindowSystem)
# Needs private headers, see xdndworkaround.cpp
BuildRequires:  libQt5Gui-private-headers-devel
BuildRequires:  libqt5-qttools-devel
BuildRequires:  pkgconfig
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.2
BuildRequires:  pkgconfig(Qt5Xdg)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libfm) >= 1.2.0
BuildRequires:  pkgconfig(libmenu-cache) >= 0.4.0
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  pkgconfig(x11)
Provides:       libfm-qt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libfm-qt is the Qt port of libfm, a library providing components to
build desktop file managers.

%package -n libfm-qt3
Summary:        Library providing components to build desktop file managers
Group:          System/Libraries
Conflicts:      pcmanfm <= 0.10.0
Recommends:     %{name}-lang

%description -n libfm-qt3
libfm-qt is the Qt port of libfm, a library providing components to
build desktop file managers.

%package -n libfm-qt-devel
Summary:        Development files for libfm-qt
Group:          Development/Libraries/C and C++
Requires:       libfm-qt3 >= %{version}
Requires:       pkgconfig
# libfm-qt has an -I on a path from menu-cache-devel
Requires:       pkgconfig(libmenu-cache) >= 0.4.0

%description -n libfm-qt-devel
Libfm-Qt libraries for development

%prep
%setup -q

%build
%cmake -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install

%post -n libfm-qt3 -p /sbin/ldconfig
%postun -n libfm-qt3 -p /sbin/ldconfig

%files -n libfm-qt3
%defattr(-,root,root)
%doc LICENSE README.md
%dir %{_datadir}/libfm-qt/
%{_libdir}/libfm-qt.so.*
%{_datadir}/libfm-qt/archivers.list
%{_datadir}/libfm-qt/terminals.list
%{_datadir}/mime/packages/libfm-qt-mimetypes.xml

%files -n libfm-qt-devel
%defattr(-,root,root)
%doc %{_datadir}/cmake/fm-qt
%{_includedir}/libfm-qt/
%{_libdir}/libfm-qt.so
%{_libdir}/pkgconfig/libfm-qt.pc
%{_datadir}/cmake/fm-qt/fm-qt-config-version.cmake
%{_datadir}/cmake/fm-qt/fm-qt-config.cmake
%{_datadir}/cmake/fm-qt/fm-qt-targets-*.cmake
%{_datadir}/cmake/fm-qt/fm-qt-targets.cmake

%changelog
* Wed May  2 2018 mvetter@suse.com
- bsc#1091635 Problem with Terminal Command in PCManFM-Qt:
  Move from -devel package to main package:
  * archivers.list
  * terminals.list
  * libfm-qt-mimetypes.xml
* Mon Oct 23 2017 mvetter@suse.com
- Update to 0.12.0:
  * Add data transferred to file operation dialog.
  * Bump versions
  * Disable context-menu actions that cannot be used
  * Don't export github templates
  * Fix partially visible toggled path buttons
  * Add functions to get and set search settings
  * Fix mistakes in listview column width calculation
  * Add archiver separator only when needed
  * Add a separator before archiver actions
  * Enable XDS subfolder drop
  * UI improvements for Fm::MountOperationPasswordDialog()
  * Respect inactiveness when drawing text
  * Grey out files that have been Ctrl-X'ed (#88)
  * Ignore button for error dialog
  * Inline renaming for detailed list view (#110)
  * Remove redundant code.
  * Prefer local paths if they exist
  * Removed QFileInfo (as @PCMan recommended)
  * Simplification, optimization and a fix
  * Really focus text entry on showing dialog
  * Two small fixes
  * Keep selection on reloading (if not CPU-intensive)
  * Added back/forward buttons and fixed 3 issues
  * Reload button, hidden shortcut and a fix
  * Implement FileDialog::selectMimeTypeFilter() and QString FileDialog::selectedMimeTypeFilter().
  * Initialize folder_ to null
  * Fixed the quote issue
  * Always preserve explicitly set labels
  * Update OK button text and state when needed
  * Initialize FileInfo::isShortcut_ (#113)
  * Set the selected index current
  * Fixd open/save and overwrite prompt
  * Set open/save text
  * Several important fixes
  * Added a missing change
  * Preliminary fixes
  * Hide UI implementation details for Fm::FileDialog.
  * Revert the backward incompatible changes in the constructor of Fm::FolderView.
  * Fix a bug in creating new folder for Fm::FileDialog.
  * Implement toolbar and quick view mode switches for the Fm::FileDialog class.
  * Correctly check file types and test the existence of the selected files as needed.
  * Correctly handle item activation.
  * Correctly handle filename selection for Fm::FileDialog.
  * Correctly handle selected files.
  * Implement filename filtering for Fm::FileDialog.
  * Check nullity of FileInfo before calling FolderMenu
  * Arrange Custom Actions
  * Support custom folder icons
  * Fix multiple pasting of the same cut file(s)
  * Fix KDE clipboard tag for cut file(s)
  * Add a basic skeleton for Fm::FileDialog.
  * Check nullity of QMimeData (#109)
  * MountOperationQuestionDialog: Fix handling responses
  * Fix all height issues in horizontal layouts (#103)
  * Removed a redundant variable (left there from old tests)
  * Fix major bugs in Directory Tree
  * Consider desktop text color, now that everything is done here
  * Inline Renaming
  * Fix compact view regression (#102)
  * Fix detailed list crash on double clicking folders
  * Removed my garbage
  * Fixed issues about spacings and click region
  * Make Fm::FolderItemDelegate support painting text shadows and margins so it can completely replace PCManFM::DesktopItemDelegate.
  * Avoid using grid size on QListView since this disables any spacing settings.
  * liblxqt make no sense for libfm-qt
  * Copied issue template
  * Add noexcept to move constructors and operator=() so they can be used with STL containers.
  * FolderView: Optimize selectAll() (#97)
  * Emit fileSizeChanged when needed
  * Drops Qt5Core_VERSION_STRING (#96)
  * Update size column info (#90)
  * Fix Detailed List view DND (#94)
  * folderview: Don't allow D&D by Back or Forward
  * More fixes (#87)
  * Added a missing change signal (#86)
  * Fix single items when seaching (#85)
  * Check for nullity of IconInfo (#84)
  * Address compiler warnings
  * Remove addRoots() return type
  * Remove the unused data/translations/ entry
  * Fix broken folder unmount message caused by incorrect FilePath & GFile* comparison. (#80)
  * Remove some superfluous semicolons that lead to pedantic warnings (#79)
  * Ensure one item per file (#77)
  * Fix the broken filesystem status (free disk space) display. (#78)
  * Don't make items current on mouseover (#72)
  * Fixes a FTBFS in superbuild mode (#75)
  * Replace start tilde in PathEdit (#73)
  * Really cancel pending thumbnail jobs on chdir (#74)
  * Move fixes (#70)
  * Fix invalid pointers (#69)
  * Continue file selection on next/previous row (#76)
  * Code reformat: use 4-space indentation to match the coding style of other LXQt components.
  * Make all constructors explicit so we don't get unwanted object construction by C++.
  * Prevent a crash since GObjectPtr's move ctor frees resources
  * GObjectPtr: Detect & handle "self-assignment"
  * Fix compatibility with Qt 5.6.
  * No thumbnail for thumbnails
  * Fix thumbnail update
  * Fixed `PathBar::setPath()`
  * Use real name for renaming
  * Prevent a crash plus fallback icon
  * Fix custom actions
  * volumemanager: Return IconInfo as shared_ptr
  * FolderModelItem: Check IconInfo existence
  * Bookmarks: Check validity of insert position
  * Fix a potential crash of bookmark items when the format of the bookmark file is not correct.
  * Only load desktop entry files for native filesystems.
  * Fix the missing icon and display name handling of desktop entry files in Fm::FileInfo.
  * IconEngine: Use weak_ptr for the parent IconInfo
  * PathBar: Avoid leak upon QLayout::replaceWidget()
  * Use const iterators
  * Use the new lxqt-build-tools new FindExif module
  * Fix the incorrect header inclusion in fileoperation.cpp.
  * Fix incorrect #include of libfmqtglobals.h.
  * Fix a bug when copying to and pasting from "x-special/gnome-copied-files" mime-type.
  * Fix bugs in the Custom Actions C++ port.
  * Try to port libfm custom actions to C++.
  * Try to update the content of a folder after its mount status is changed. Handle cancelled dir listing job properly.
  * Rename namespace Fm2 to Fm.
  * Remove unused header files of the old C API wrappers.
  * Fix bugs in search:// support and finish porting file searching to C++. Fix several bugs in Fm2::FileInfo which caused by null parent dir.
  * Add a missing test case for places view.
  * Try to add support for menu:// and search:// URI scheme implemented in libfm.
  * Correctly destroy Fm2::Job objects when their worker threads terminate.
  * Fix incorrect handling of PathBar button creation which causes infinite loop when the underlying GFile implementation contains bugs.
  * Fix incorrect path of application menu URI.
  * Fix QThread related bugs in PathEdit which causes memory leaks.
  * Fix a bug in DirTreeModelItem causing crashes. Also speed up batch insertion of large amount of items.
  * Use const iterators (#61)
  * Fix the broken folder reload().
  * Make all Fm2::Job derived classes reimplement exec() instead of run() method. The new run() method will emit finished() signal automatically when exec() returns.
  * Fix memory leaks caused by incorrect use of QThread.
  * Fix a memory leak in Fm::ThumbnailJob.
  * Fix memory leaks caused by broken cache.
  * Fix wrong size of generated thumbnails by external thumbnailers.
  * Fix memory bugs in Fm2::GErrorPtr and improve the error handling of Fm2::Job and Fm2::Folder.
  * Fix some errors related to incorrect use of std::remove() in Fm2::Folder. Replace QList with std::vector and use binary search when inserting items for the Fm::DirTreeModelItem.
  * Change the handling of Fm::FolderView::selChanged signal to make it more efficient.
  * Port to the new Fm2::TotalSizeJob API.
  * Fix compatibility with libfm custom actions.
  * Add some compatibility API which helps migrating old C APIs to the new C++ implementation.
  * Convert datetime to locale-aware strings using QDateTime.
  * Use QCollator to perform file sorting.
  * Fix detailed view.
  * Finish porting DirTreeModel to the new API. Fix bugs in Fm2::FilePath and Fm2::FileInfo APIs.
  * Port the libfm terminal emulator related APIs to C++.
  * Rename some methods in Fm2::Folder and Fm2::FileInfo for consistency.
  * Port to the new IconInfo API and deprecate manual icon update when the theme is changed.
  * Rename Fm::Icon to Fm::IconInfo.
  * Port emblem support to the new libfm C++ API.
  * Remove unused files, including some old APIs. Replace QVector in BrowseHistory with STL vector.
  * Fix a bug in Fm::FileMenu.
  * Port file-click handling to the new C++ API.
  * Fix bugs in Fm::PathBar getting wrong path when a path button is toggled.
  * Remove Fm::FilePath(const char* path_str) to avoid ambiguity.
  * Replace all NULL with C++ 11 nullptr;
  * Fix FilePath related errors caused by incomplete porting.
  * Make Fm::FolderConfig support the new Fm::FilePath class.
  * Fix Fm::BookmarkAction to use the new C++ API.
  * Fix missing icons of places view caused by memory errors.
  * Fix memory errors in Fm2::Bookmarks::reorder(). Add a small test case for the places view.
  * Share the same places model among all views.
  * Port most of the existing UI-related APIs to the new C++ APIs (excluding the file operations).
  * Port the path bar to the new Fm2 API.
  * Implement VolumeManager class which is a QObject wrapper of gio GVolumeMonitor.
  * Add some getters for Volume and Mount classes.
  * Properly associate external thumbnailers with mimetypes they support and fix thumbnail generation from thumbnailers.
  * Start porting thumbnail loaders to the new C++ APIs. Add new Fm::ThumbnailJob used to load thumbnails for a given file list. Add commonDirPath paramter to Fm::FileInfoJob to reduce memory usage.
  * Add the missing test case for folder view.
  * Start porting Fm::FolderModel and Fm::FolderView to the new libfm core c++ API.
  * Work in progress.
  * Add a c++ wrapper for GFileMonitor. Add LIBFM_QT_API declaration for all public headers.
  * Port error handling mechanism of FmJob to C++ and improve the GError wrapper class.
  * Bump year
  * Add gioptrs.h which defines smart pointer types wrapping gio related data types. Add some basic skeleton for various I/O jobs classes.
  * Start porting Copyjob and add basic skeleton for untrash and symlink jobs.
  * Finish porting FmFolder to C++.
  * Add a very simple test case to test the new Fm core C++ code. Fix bugs in smart pointers and do empty base class optimization for CStrPtr.
  * Improve Fm::Folder.
  * Rename UserInfo to UserInfoCache.
  * Port Fm::Bookmarks to C++.
  * Port FmDeepCountJob to C++.
  * Add basic skeletion to Fm::VolumeManager.
  * Implement Fm2::UserInfo, which is a cache for uid/gid name mapping.
  * Add basic skeleton for other C++ classes waiting for porting.
  * Add GSignalHandler to do automatic signal/slot connection management with type safety for GObject.
  * Add basic skeleton for the C++ 11 port of FmFileInfoJob.
  * Try to port Fm::Folder and Fm::DirListJob to Qt5 and C++ 11.
  * Try to port FmIcon, FmFileInfo, and FmMimeType of libfm to clean C++.
  * Add smart pointer for GObject-derived classes and add Fm::FilePath class which wraps GFile.
* Fri Feb 24 2017 sfalken@opensuse.org
- Update to 0.11.2:
  * Fix enabled state of path arrows on starting (#58)
  * bump patch version (#56)
  * Use QByteArray::constData() where we can (#57)
  * Updates lxqt-build-tools required version
  * Bump ABI so version numbers preparing for a new release.
  * Fix Pathbar Paint on Menu Pop-Up
  * Code cleanup and refactor for Fm::PathBar.
  * Added another condition
  * Added a missing condition (typo)
  * Scroll Pathbar with Mouse Wheel
  * Reduct flickering of the path bar when creating path buttons.
  * Code simplification by removing unnecessary signal/slot usage.
  * Path Button Middle Click
  * Enable auto-repeat for pathbar scroll buttons.
  * Make the path bar buttons aware of style changes.
  * Use widget style instead of app style
  * Align Path Buttons
  * Move FindXCB.cmake to lxqt-build-tools
  * Adds superbuild/intree support
  * Removes not needed dependency check
  * Set CMP0024 policy usage to NEW
  * Updates target_include_directories() stuff
  * Drops GLib library detection
  * Use the new FindMenuCache CMake module
  * Use the new FindFm CMake module
  * Check for FolderModelItem info (and FmPath)
  * Add Fm::PathBar::editingFinished() signal.
  * Select the current path when editing the path bar.
  * Enable path editing and popup menu for the button-style path bar.
  * Properly set styles of path buttons.
  * Remove unnecessary debug messages.
  * Try to implement the Fm::PathBar which shows a filesystem path as buttons.
  * Adds Build PROJECT_NAME with Qt version message
  * Move LIBFM_DATA_DIR to pcmanfm repo.
  * Refactors CUSTOM_ACTIONS compile definition
  * Refactors LIBFM_DATA_DIR compile definition
  * Drop add_definitions. Use target_compile_definitions.
  * Removes duplicated symbols visibility settings
  * README.md: Add build dependency lxqt-build-tools
  * Use the new lxqt-build-tools package
  * Restore symlink emblem
  * Remove empty files
  * Try to refactor the emblemed icon support in a more generalized way. Reuse FolderItemDelegate to paint the emblemed icons in Fm::PlacesView to prevent code duplication. APIs changes:  * Add Fm::IconTheme::emblems() and cache emblem info in the cache.  * Add Fm::FolderItemDelegate::setFileInfoRole() and Fm::FolderItemDelegate::setFmIconRole()  * Cache multiple emblems rather than getting the first one only (but only paint the first one now).  * Remove icon sizes from Fm::PlacesModel and Fm::PlacesModelItems to maintain MVC design pattern and backward incompatibility.  * Expose two role IDs in Fm::PlacesModel: FileInfoRole and FmIconRole so the views can access these data.
  * Show File Emblems
  * Emblem For (Encrypted) Volume Icons
  * Remove cpack (#44)
  * Also Consider GEmblemedIcon (#41)
* Fri Sep 30 2016 jengelh@inai.de
- Update description. Remove redundant requires/provides.
* Tue Sep 27 2016 mvetter@suse.com
- Install LICENSE and README.md
* Sat Sep 24 2016 mvetter@suse.com
- Initial package for 0.11.1
- It's a split out of libfm-qt from pcmanfm-qt
- Get spec file from X11:LXQt:git and adapt
- Add keyring and asc file
